require "import"
import "android.widget.*"
import "android.view.*"
import "android.content.*"
import "android.provider.Settings"
activity.setTitle("Bluetooth Manager")

-- Layout
scrollView = ScrollView(activity)
layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)

-- Button to open Bluetooth Settings
openBluetoothSettingsButton = Button(activity)
openBluetoothSettingsButton.setText("Open Bluetooth Settings")

-- Click listener for the Open Bluetooth Settings button
openBluetoothSettingsButton.setOnClickListener(View.OnClickListener {
  onClick = function(v)
    local intent = Intent(Settings.ACTION_BLUETOOTH_SETTINGS)
    activity.startActivity(intent)
  end
})

-- Add Button to Layout
layout.addView(openBluetoothSettingsButton)
scrollView.addView(layout)
activity.setContentView(scrollView)

local intent = Intent(Settings.ACTION_BLUETOOTH_SETTINGS)
activity.startActivity(intent)
